/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.stocks.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.stocks.dto.StockInfoQuery;
import com.tofly.stocks.entity.StockInfo;
import com.tofly.stocks.service.StockInfoService;
import com.tofly.stocks.vo.*;
import org.springframework.stereotype.Service;
import com.tofly.stocks.mapper.StockInfoMapper;

/**
 * 物资库存信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Service("stockInfoService")
public class StockInfoServiceImpl extends ServiceImpl<StockInfoMapper, StockInfo> implements StockInfoService {

    @Override
    public Page<StockInfoVo> getDataByPage(Page page, StockInfoQuery stockInfoQuery) {
        return baseMapper.getDataByPage(page,stockInfoQuery);
    }

    @Override
    public Page<StockInstockVo> getInStoreDataPage(Page page, Long stockInfoId) {
        return baseMapper.getInStoreDataPage(page,stockInfoId);
    }

    @Override
    public Page<StockOutstockVo> getOutStoreDataPage(Page page, Long stockInfoId) {
       return baseMapper.getOutStoreDataPage(page,stockInfoId);
    }

    @Override
    public Page<StockDrugUseVo> getDrugUseDataPage(Page page, Long stockInfoId) {
        return baseMapper.getDrugUseDataPage(page,stockInfoId);
    }

    @Override
    public Page<StockTransVo> getTransDataPage(Page page, Long stockInfoId) {
        return baseMapper.getTransDataPage(page,stockInfoId);
    }

    @Override
    public Page<StockCheckVo> getCheckDataPage(Page page, Long stockInfoId) {
        return baseMapper.getCheckDataPage(page,stockInfoId);
    }

    @Override
    public Page<StockHandleVo> getHandleDataPage(Page page, Long stockInfoId) {
        return baseMapper.getHandleDataPage(page,stockInfoId);
    }
}
